# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPTryCatchStatementElement
/parser/ast/PHPTryCatchStatementElement.class.php at line 19

# Class AOWP_PHPTryCatchStatementElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPTryCatchStatementElement

public class AOWP_PHPTryCatchStatementElement
extends AOWP_PHPInnerStatementContainerElement

PHPTryCatchStatementElement PHPのASTにおける「try-catch」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $catchStatements

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPTryCatchStatementElement(mixed _line, mixed innerStatements)

Method Summary
void | __toString()
void | addCatchStatement(mixed exceptionClassName, mixed exceptionVariableName, mixed catchStatements)
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPTryCatchStatementElement.class.php at line 20

### catchStatements

`public mixed $catchStatements`

## Constructor Detail

/parser/ast/PHPTryCatchStatementElement.class.php at line 22

### AOWP_PHPTryCatchStatementElement

`public AOWP_PHPTryCatchStatementElement(mixed _line, mixed innerStatements)`

## Method Detail

/parser/ast/PHPTryCatchStatementElement.class.php at line 28

### __toString

`public void __toString()`

/parser/ast/PHPTryCatchStatementElement.class.php at line 32

### addCatchStatement

`public void addCatchStatement(mixed exceptionClassName, mixed exceptionVariableName, mixed catchStatements)`

/parser/ast/PHPTryCatchStatementElement.class.php at line 36

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr